Components

Simyard_2000 is considered an evolving interface that will change overtime to meet users’ needs. It is based on a standardized windows platform and currently includes a Main Form for menu options and forms for setting variables, running a simulator, and several more for viewing graphing options. As you have already discovered, Simyard_2000 provides help.

  • Main Form
  • Variable Form
  • Simulator Form
  • Graphing Forms

If you have any suggestions for future changes, then please contact Weikko at weikko@u.washington.edu


The Main Form itself provides menu options for exiting the program (File), recalling the Variable and Simulator forms if they are terminated (View), setting graphing options (Show Results), arranging forms (Windows), and accessing information about the p

The Main Form itself provides menu options for exiting the program (File), recalling the Variable and Simulator forms if they are terminated (View), setting graphing options (Show Results), arranging forms (Windows), and accessing information about the program (Help).

As you explore the Show Results menu, you will find that you can open and close many graphing options by clicking on the available selections. If a graphing option is selected, then an adjacent check will be provided. You can graph several pre-set selections and remove them from a grouped graph without having to close it.


The Variable Form includes text boxes and linked toggles for entering and adjusting low and high range values for each of 15 input variables

The Variable Form includes text boxes and linked toggles for entering and adjusting low and high range values for each of 15 input variables. The setting layout can also be specified on this form. When the Variable Form is opened, the text boxes are populated with coded default values and the parallel corridor setting layout is selected.


The Simulator Form is used to control the simulation process

The Simulator Form is used to control the simulation process. There are controls for starting, pausing, and terminating a simulation. The simulator only estimates and provides data for graphing total cost, (summation of set-up, yarding, and roading). There is a text box and linked toggle for adjusting the 95% confidence interval (CI) of total cost as well as progress bars and labels for tracking progress of the simulation. The default CI is set at five dollars per mbf. In order to graph the simulated total costs for each station of EYD, the Simulation Graph option of the Show Results menu must be checked.


The Graph Forms are used to illustrate results

The Graph Forms are used to illustrate results. Using the Graph Options selection, you can quickly select input variables for the opened graphs by selecting low-range, average, or high-range. The average selection calculates the arithmetic average of the low and high range as entered on the Variable Form. The other graphing selections are currently stratified into six grouped graphs. The independent axis units of all graphs are represented as stations (100 feet) of external yarding distance (EYD). These include

  • Cost,
  • Production,
  • Logging Time,
  • Roads,
  • Settings, and
  • Simulation Graph.

For the Cost group, you can select to illustrate road, logging, and/or total costs as units of dollars per thousand board feet. The Production group includes tons per day, thousand board feet (mbf) per day, and truckloads per day. The conversions for tonnage and truck loads from mbf assumes 12.5 lbs per board foot and 25 tons of payload per truck load.

The Logging Time group provides selections for illustrating total logging time (1/10th days) based on acreage and total setup and rigging time (crew-hrs) and yarding cycle time including delay (crew-minutes).

The Roads group provides selections for illustrating road density (miles of road per square mile of harvest unit) and landing spacing (stations). Road density can be adjusted by toggling the Road Density Factor on the Variable Form. Landing spacing cannot be directly adjusted. It is independent of road costs and estimated by the algorithm to represent the base road length and optimal landing spacing. However, the total road length per landing can be manually estimated by calculating the landing spacing (base road length) value with the Road Density Factor.

The Setting group contains selections for graphing several geometric parameters used to describe the width, length of a setting and the number and arrangement of corridors. All distances are represented in units of stations. Selections include average yarding distance (AYD), lateral yarding distance (LYD), average lateral yarding distance (ALYD), average external yarding distance (AEYD), total landings (settings) in a unit and total corridors in a setting. ALYD, and AEYD are used to describe parameters specific to fan-shaped settings given that corridors are triangular shaped with variable length about the setting.

Finally, the Simulation Graph selection allows progress to be illustrated as the EYD increments are completed during the simulation process. Only total cost is represented. However, the minimum, maximum, standard deviation, and mean of the simulation are provided with unique graphing lines.


Process

Getting Started

SimYard_2000 is extremely simple. There are two main functions. Either you can deterministically explore sensitivities by toggling variables and viewing automatic and corresponding adjustments in selected graphs or you can choose to run a stochastic based simulation. In either case you must start by calibrating the algorithm’s predictions of road density and maximum EYD and editing variables using the Variable Form.

See Road Density Factor and Maximum EYD

See Variables Form

See Deterministic Approach

See Stochastic Approach


Road Density Factor and Maximum EYD

The algorithm models base road length and road density independently but it allows for adjustment based on Road Density Factor on the Variables Form. The base road length is estimated as the spacing between landings along the haul route of the unit and base road density is estimated as being inversely proportional to EYD. Both are adjusted using the Road Density Factor. This accounts for such things as wander, confined topography, switchbacks, redundancy, etc..

It is possible for the algorithm to suggest longer yarding distances than are feasible for topographic considerations. The External Yarding Distance variable is therefore useful for minimizing irrelevant output and simulation time. Once the model is calibrated to watershed topography, variables describing other parameters must be edited.


Deterministic Approach

You can quickly demonstrate ranges of costs and design parameters by opening a graph from the Show Results menu.and toggling variables on the Varaibles Form. You can also select between the low, average, or high range of values.

It is recommended that you base your selections on observations, published research and experience that you think adequately represents the situation you wish to model.


Stochastic Approach

You can also run a stochastic simulation using the Simulation Form. Once the variables are set and you have pressed go, the Variables Form is locked. However you can adjust the confidence interval on the Simulation form.

If you want to reduce the variability illustrated in the graph for each EYD increment, then you can adjust the confidence interval down and thereby increase the number of samples and run time. If you just want a fast estimate, then you can adjust the CI to a higher value.

The progress bars on the Simulation Form are provided to help keep track of the simulation.


Functions

The underlying algorithm combines the costs of cable system setup, yarding, and roading as functions of EYD. Two harvest setting layouts are provided based on a rectangular unit and yarding to only one side of the road.

The first setting layout is a continuous type landing with parallel corridors. The other is a central type landing with several corridors emanating from a landing in a fan-like pattern. In both cases the algorithm estimates optimal lateral yarding distances and landing spacing by setting derivatives of the respective cost functions equal to zero. The variables describing the layout of the modeled setting can be reviewed using selected graphing options from the Show Results menu.

The harvest setting is the fundamental building block of the harvest unit. It is used to establish the base length of road (setting width). A harvest unit can contain several like-settings based on the total acreage for the unit and the landing and corridor spacing estimates. The algorithm does not force "x" number settings into a unit, but rather rounds the number of settings to the nearest integer. Therefore the total time to log a unit may not be an exact estimate.

Since the underlying algorithm is not directly tied to topography, it is necessary to adjust the road density factor so that the modeled road density to EYD ratio (road length) and the maximum available EYD are consistent with the planning area. Once the layout of the unit is established, the rigging-setup, yarding, and roading costs are calculated based on the values defined on the Variable Form.

    • Setup and Rigging time
    • Yarding Time
    • Road Costs


Set-up and Rigging Time

The setup and rigging variables are used to represent the accumulated time to position machinery on the landing and establish corridors. For cable systems this includes positioning the yarder, pulling cables, and rigging such things as guylines, intermediate supports, lift trees, block anchors for the haulback, and skyline anchors. It may also include corridor design and layout. Initial move-in and move-out costs should be included in the total hourly rate.

To minimize the complexity of the interface, the various time elements are summarized as either functions of external yarding distance, or independent but fixed time. The following variables can be found on the Variables Form.

  • setting geometry (parallel or fan-shaped),
  • fixed landing time (crew-hours),
  • variable corridor time (crew hours per corridor per feet EYD),
  • fixed corridor time (crew-hrs per corridor), and
  • correction time for multiple corridors (minus crew-hours per additional corridor).

Similar to the yarding time section, the setup and rigging times are estimated differently for the two corridor layouts. The primary differences are the ratio of corridors to landings and the length of the corridors. However, in both cases, the setup and rigging variables are used in the same manner as described. For example multiple corridor correction time is used to represent efficiencies associated with having only to move rigging equipment between corridors as opposed to moving it back and forth to the landing.

For the parallel option, there are as many corridors as there are landings thus representing a single setting. The optimal LYD determines the spacing between landings and number of corridors (settings) in a harvest unit. The total time to setup a corridor is estimated by multiplying the increment EYD by the variable corridor time and adding the fixed corridor and landing times. This sum is then multiplied by the expected number of landings and corrected by subtracting the corridor correction time for each additional corridor beyond the first one. This sum is then divided by the total number of corridors to provide the estimated setup and rigging time per corridor for each increment of EYD.

In the case of the fan-shaped setting, there is more than one corridor per landing. Landing spacing is estimated using the derivative of the cost function with respect to EYD rather than LYD, assuming that external yarding could approximately parallel the road. The number of corridors per landing is then based on the setting perimeter (EYD and landing spacing) and the optimal average lateral yarding distance (ALYD). Once again, the optimal ALYD is based on the derivative of the cost function with respect to LYD. Beyond the layout of the settings the method for calculating setup and rigging times are the same as the settings with parallel corridors.


Yarding Time

Yarding time is estimated using fixed and variable time elements of a complete yarding cycle that includes;

  • unhooking a turn at the landing,
  • out-haul of the carriage from the landing into the setting,
  • setting the turn (lateral out-haul and in-haul of the drop line, and setting chokers), and
  • the accumulation of episodic delays.

In order to simplify the interface, these time elements are summarized on the Variable Form to include;

  • external speed (average of both in-haul and out-haul speeds),
  • lateral speed (average of lateral in-haul and out-haul speeds),
  • total fixed time (time for unhooking a turn, setting chokers, and other time of EYD and LYD), and
  • finally a production delay factor that is applied to the total cycle time.

Yarding time is calculated internally using specific setting layout variables for parallel and fan-shaped settings.

For settings with parallel corridors, external yarding time is calculated using the external speed variable and twice average yarding distance (AYD). The lateral yarding time is calculated using the lateral speed variable and twice average lateral yarding distance (ALYD). For parallel corridors AYD and ALYD are estimated as on-half the EYD and LYD respectively.

For settings with fan-shaped corridors, external yarding time is calculated using the external speed variable and twice average yarding distance (AYD). The lateral yarding time is calculated using the lateral speed variable and twice average lateral yarding distance (ALYD). For fan-shaped corridors in a fan-shaped setting, AYD and ALYD are variable based on the dimensions of each of the unique corridors within a setting and are automatically estimated using trigonometric functions.

The delay factor is useful for quickly adjusting total cycle time to meet specific needs. Cycle time elements can be illustrated by selecting the Logging Time graphing selections from the Show Results menu.


Road Costs

Road costs can be a significant part of the total harvest cost. As described in the Yarding Time and Setup and Rigging Time sections, the base road density and base road length is proportional to the inverse of the EYD, The base estimates are then corrected using the Road Density Factor.


Simyard_2000 and Overview

Simyard_2000 is a harvest systems simulator designed by Weikko Jaross, a graduate student of the Forest Engineering program at the University of Washington.

Simyard_2000 quickly simulates several harvest system parameters to provide general knowledge about the economics of logging operations and road management costs, preferred yarding distances, and road and landing densities.

The underlying algorithm works interactively with adjustable input variables and graphing options to demonstrate how management alternatives and limited topographic considerations effect the combined costs of logging system setup, yarding, and roading.

Simyard_2000 provides two modes of operation so that one can quickly demonstrate sensitivities by interactively modifying input values or running simulations that explore many possible combinations. Several graphing options are available for illustrating results important for planning decisions.

Note: As of the May 15th, 2000 compile, Simyard_2000 is a stand-alone program developed primarily for cable systems. The interface does not read or write to external files. The interface will soon be modified to incorporate other harvest systems and dynamic data links to Geographic Information Systems (GIS). Zeros are not acceptable for all variables since some may be used as denominators in calculations. To simplify coding, the user is not allowed to enter values less than or equal to zero or non-numeric text.


Simulation

The processes described above also apply to the stochastic simulation function of Simyard_2000. The primary difference is that the algorithm can randomly select a value (uniform distribution) within the range of each variable on the Variables Form.

This sampling and calculating repeats for each increment of EYD until the 95% confidence interval (Simulation Form) is reached and at least 30 iterations have passed. This process is repeated for each station of External Yarding Distance (EYD).